/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details required to create the external Exadata infrastructure.
 */
export interface CreateExternalExadataInfrastructureDetails {
    /**
     * The unique key of the discovery request.
     */
    "discoveryKey"?: string;
    /**
     * The Oracle license model that applies to the database management resources.
     *
     */
    "licenseModel"?: CreateExternalExadataInfrastructureDetails.LicenseModel;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId": string;
    /**
     * The name of the Exadata infrastructure.
     */
    "displayName": string;
    /**
     * The list of DB systems in the Exadata infrastructure.
     */
    "dbSystemIds": Array<string>;
    /**
     * The list of all the Exadata storage server names to be included for monitoring purposes. If not specified, all the Exadata storage servers associated with the DB systems are included.
     */
    "storageServerNames"?: Array<string>;
}
export declare namespace CreateExternalExadataInfrastructureDetails {
    enum LicenseModel {
        LicenseIncluded = "LICENSE_INCLUDED",
        BringYourOwnLicense = "BRING_YOUR_OWN_LICENSE"
    }
    function getJsonObj(obj: CreateExternalExadataInfrastructureDetails): object;
    function getDeserializedJsonObj(obj: CreateExternalExadataInfrastructureDetails): object;
}
