/**
 * Operations Insights API
 * Use the Operations Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Operations Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Contains CPU recommendation.
 *
 */
export interface HostCpuRecommendations extends model.HostInsightHostRecommendations {
    /**
     * Show if OPSI recommend to convert an instance to a burstable instance and show recommended cpu baseline if positive recommendation.
     */
    "burstable"?: HostCpuRecommendations.Burstable;
    "metricRecommendationName": string;
}
export declare namespace HostCpuRecommendations {
    enum Burstable {
        Baseline18 = "BASELINE_1_8",
        Baseline12 = "BASELINE_1_2",
        NoRecommendation = "NO_RECOMMENDATION",
        DisableBurstable = "DISABLE_BURSTABLE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: HostCpuRecommendations, isParentJsonObj?: boolean): object;
    const metricRecommendationName = "HOST_CPU_RECOMMENDATIONS";
    function getDeserializedJsonObj(obj: HostCpuRecommendations, isParentJsonObj?: boolean): object;
}
