/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for the operating system environments in your private data centers through a single management console. For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A software package available for install on a managed instance.
 */
export interface UpdatablePackageSummary extends model.PackageSummary {
    /**
     * The version of this upgradable package already installed on the instance.
     */
    "installedVersion"?: string;
    /**
     * The classification of this update.
     */
    "updateType": model.ClassificationTypes;
    /**
     * List of errata containing this update.
     */
    "errata"?: Array<string>;
    /**
     * List of CVEs applicable to this erratum.
     */
    "relatedCves"?: Array<string>;
    "packageClassification": string;
}
export declare namespace UpdatablePackageSummary {
    function getJsonObj(obj: UpdatablePackageSummary, isParentJsonObj?: boolean): object;
    const packageClassification = "UPDATABLE";
    function getDeserializedJsonObj(obj: UpdatablePackageSummary, isParentJsonObj?: boolean): object;
}
