/**
 * Service Connector Hub API
 * Use the Service Connector Hub API to transfer data between services in Oracle Cloud Infrastructure.
For more information about Service Connector Hub, see
[Service Connector Hub Overview](/iaas/Content/service-connector-hub/overview.htm).

 * OpenAPI spec version: 20200909
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The log group used for the Logging Analytics target.
 * For configuration instructions, see
 * [To create a service connector](https://docs.cloud.oracle.com/iaas/Content/service-connector-hub/managingconnectors.htm#create).
 *
 */
export interface LoggingAnalyticsTargetDetails extends model.TargetDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Logging Analytics log group.
     *
     */
    "logGroupId": string;
    /**
     * Identifier of the log source that you want to use for processing data received from the service connector source.
     * Applies to {@code StreamingSource} only.
     * Equivalent to {@code name} at {@link LogAnalyticsSource}.
     *
     */
    "logSourceIdentifier"?: string;
    "kind": string;
}
export declare namespace LoggingAnalyticsTargetDetails {
    function getJsonObj(obj: LoggingAnalyticsTargetDetails, isParentJsonObj?: boolean): object;
    const kind = "loggingAnalytics";
    function getDeserializedJsonObj(obj: LoggingAnalyticsTargetDetails, isParentJsonObj?: boolean): object;
}
